#include <stdio.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <time.h>

int main(int argc, char *argv[])
{
	char *fname="main.c";
	struct stat statBuf;

  if (0==stat(fname, &statBuf))
	{
		printf("\nFile: %s", fname);
		if (S_ISDIR (statBuf.st_mode))
			puts("\n\tdirectory");
		if (S_ISCHR(statBuf.st_mode))
			puts("\n\tcharacter special file");
		if (S_ISBLK(statBuf.st_mode))
			puts("\n\tblock special file");
		if (S_ISREG(statBuf.st_mode))
			puts("\n\tregular file");
		if (S_ISFIFO(statBuf.st_mode))
			puts("\n\tFIFO special file, or a pipe");
		printf("\tinode=%u\n\tdevice=%c:", statBuf.st_ino, statBuf.st_dev+'A');
		printf("\n\tlinks=%d\n\tuid=%d\n\tgid=%d\n\tsize=%ld",
			statBuf.st_nlink, statBuf.st_uid, statBuf.st_gid, statBuf.st_size);
		printf("\n\taccess time=%s\tcontents mod time=%s\tattrib mod time=%s",
			ctime(&statBuf.st_atime), ctime(&statBuf.st_mtime), ctime(&statBuf.st_ctime));
	}
	else perror(0);
  system("PAUSE");	
  return 0;
}
